/*
/// Media queries
*/

/* Media Query breakpoint
// https://medium.freecodecamp.com/the-100-correct-way-to-do-css-breakpoints-88d6a5ba1862#.59e713wwa
//-------------------------------------
*/

:root {
--screen:                    "only screen";
--tiny:                      20;     /* 320px  */
--small:                     37.5;   /* 600px  */
--medium:                    56.25;  /* 900px  */
--large:                     75;     /* 1200px */
--xlarge:                    112.5;  /* 1800px */
--xxlarge:                   150;    /* 2400px */


/* Media Query Ranges
//-------------------------------------
*/

--tiny-range                 : calc(0em, calc((var--small) * 1em));
--small-range                : calc((var--small) * 1em - 0.063em);
--medium-range               : calc((var--medium) * 1em + 0.063em), calc((var--large * 1em));
--large-range                : calc((var--large) * 1em + 0.063em), calc((var--xlarge * 1em));
--xlarge-range               : calc((var--xlarge) * 1em + 0.063em), calc((var--xxlarge * 1em));
--xxlarge-range              : calc((var--xxlarge) * 1em + 0.063em), 99999999em;


/* Call functions and declare media range variable */

--landscape    : "var(--screen) and (orientation: landscape)";
--portrait     : "var(--screen) and (orientation: portrait)";
--tiny-only    : "var(--screen) and (max-width: calc(var(--small) * 1em))";
--small-up     : "var(--screen) and (min-width: calc(var(--small) * 1em))";
--small-only   : "var(--screen) and (max-width: calc(var(--small) * 1em))";
--medium-up    : "var(--screen) and (min-width: calc(var(--medium) * 1em))";
--medium-only  : "var(--screen) and (min-width: calc(var(--medium) * 1em)) and (max-width: calc((var--large * 1em))";
--large-up     : "var(--screen) and (min-width: calc(var(--large) * 1em))";
--large-only   : "var(--screen) and (min-width: calc(var(--large) * 1em)) and (max-width: calc((var--xlarge * 1em))";
--xlarge-up    : "var(--screen) and (min-width: calc(var(--xlarge) * 1em))";
--xlarge-only  : "var(--screen) and (min-width: calc(var(--xlarge) * 1em)) and (max-width: calc((var--xxlarge * 1em)})";
--xxlarge-up   : "var(--screen) and (min-width: calc(var(--xxlarge) * 1em))";
--xxlarge-only : "var(--screen) and (min-width: calc(var(--xxlarge) * 1em)) and (max-width: 99999999em})";
}
